Set exitCode 1 for XML report

XMl report generation fails when some test fail

Change-Id: I80c810ea34e5732ad0935178308c37b97ca97196
diff --git a/bin/run_tempest.sh b/bin/run_tempest.sh
index d51d20d..2c2138e 100755
--- a/bin/run_tempest.sh
+++ b/bin/run_tempest.sh
@@ -19,9 +19,9 @@
 rm -rf env
 tempest init env | tee -a $log
 cd env
-tempest run $ARGS | tee -a $log || true
+tempest run $ARGS | tee -a $log
 
 if [[ "$ARGS" =~ '-r ' || "$ARGS" =~ '--regex' || "$ARGS" =~ '-s' || "$ARGS" =~ '-w' || "$ARGS" =~ '' ]]; then
-    testr last --subunit | subunit2junitxml > $LOG_DIR/$report.xml
+    testr last --subunit | subunit2junitxml > $LOG_DIR/$report.xml || true
 fi